[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: Anyone built Emacs with gcc-3.3?

From: Dave Love
Subject: Re: Anyone built Emacs with gcc-3.3?
Date: Tue, 08 Jul 2003 23:41:45 +0100
User-agent: Gnus/5.1003 (Gnus v5.10.3) Emacs/21.2 (gnu/linux)

puneet <address@hidden> writes:

> I have compiled emacs in gcc 3.3. Actually I configured gcc for
> sparcv9 arch. And hence my emacs is 64-bit.

That doesn't follow.  -mcpu=v9 is orthogonal to -m64.  `file' will
tell you whether the binary is 64-bit, but as far as I remember, you
won't get 64-bit Emacs words with gcc anyhow since gcc doesn't define
_LP64.  (gcc -m64 wasn't useful when I last touched 64-bit sparc
configuration.)  Somewhere I have some changes to somewhat sanitize
64-bit configuration, but as far as I know there are still some basic
problems with 64-bit systems, especially big-endian ones, and I'm
surprised they work at all...

If it behaves differently on different Solaris systems with the same
OS version then you should probably look at all the installed patches,
versions of development tools (I assume you use the Sun ld) and what
you pick up from the system libraries -- the version of malloc in

reply via email to

[Prev in Thread] Current Thread [Next in Thread]